Bug 74773 - Online help should not be sgml but a .pot file
Online help should not be sgml but a .pot file
Product: Red Hat Linux
Classification: Retired
Component: anaconda-help (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Cormier
Mike McLean
: FutureFeature
: 74529 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-10-01 12:01 EDT by Richard Allen
Modified: 2013-01-10 16:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-06 03:06:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Allen 2002-10-01 12:01:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Use Anaconda in any language except English

Additional info:

The online help in the Graphical installer is a sgml file, and its not available
in the translation CVS system.   Each time new things are added to the original
file its up to each individual translator to notice this and update it correctly.

I'd really like to see that file turned into a .po file and added to the
translation system.
Comment 1 Miloslav Trmac 2002-10-01 15:28:57 EDT
it *is* in the i18n CVS in anaconda/anaconda-online-help
If you don't have that, you may have to do 'cvs checkout' again
instead of 'cvs update'.

When you do 'cvs update', notice when the untranslated file changes,
do 'cvs log $FILE' to see the release numbers and then
'cvs diff -u -r $OLD_RELEASE $FILE to see the changes.
yes, not so comfortable as .po, but Works Good Enough for Me(tm).
Comment 2 Tammy Fox 2002-10-02 11:37:45 EDT
This is a good suggestion. The anaconda help is actually in DocBook XML format
now, not SGML. I'll see how much work it would be to convert the DocBook XML
files to po files.
Comment 3 Richard Allen 2002-12-16 14:47:50 EST
Any news on this yet ? :)
Comment 4 Tammy Fox 2002-12-17 00:41:26 EST
Yes, now that we switched to XML for the anaconda help, we should be
able to use xml2pot and po2xml from the kdesdk-kbabel package to
convert back and forth between po and xml formats. We are trying it
on a smaller set of files to see if there are any major bugs.
Comment 5 Richard Allen 2002-12-17 06:44:25 EST
Fantastic :)   Then I'll wait for the .po file for the online help and not work
on the XML file :)   Prehaps an announcement on i18n-list when its ready ?
Comment 6 Jeremy Katz 2003-01-02 19:15:23 EST
*** Bug 74529 has been marked as a duplicate of this bug. ***
Comment 7 Miloslav Trmac 2003-01-03 10:24:59 EST
Now that the .po files appeared in CVS without content, should I wait for the 
content to appear or convert it manually?
Comment 8 Tammy Fox 2003-01-03 12:08:31 EST
Paul is working on this. I am reassigning to him so he can close it when he is
finished and has sent out an email.
Comment 9 Christian Rose 2003-01-03 13:29:58 EST
The pot file contains this message:

#: index.docbook:19
#, no-c-format
msgid "<title></title>"

I guess the etraction script still needs some refinement? Should a seperate bug
be logged for this? Against which component?
Comment 10 Paul Gampe 2003-01-06 03:06:33 EST
I have just sent an email to i18n-list@redhat.com explaining the conversion to .po file format 
so please see that email for further information. 
Miloslav, if your language .po file was empty (or untranslated) then I was unable to 
programatically convert the existing .xml file into .po file format and you will need to convert it 
Christian, there is an empty '<title></title>' in the master .xml file and in this case the 
xml2pot/po2xml toolchain is doing the right thing. 

Note You need to log in before you can comment on or make changes to this bug.